## r-cran-microbenchmark 1.5.0

=== DESCRIPTION ===
Package: microbenchmark
Title: Accurate Timing Functions
Description: Provides infrastructure to accurately measure and compare
        the execution time of R expressions.
Authors@R: c(person("Olaf", "Mersmann", role=c("aut")),
        person("Claudia", "Beleites", role=c("ctb")),
        person("Rainer", "Hurling", role=c("ctb")),
        person("Ari", "Friedman", role=c("ctb")),
        person(given=c("Joshua","M."), family="Ulrich", role="cre",
               email="josh.m.ulrich@gmail.com"))
URL: https://github.com/joshuaulrich/microbenchmark/
BugReports: https://github.com/joshuaulrich/microbenchmark/issues/
License: BSD_2_clause + file LICENSE
Depends: R (>= 3.2.0)
Imports: graphics, stats
Suggests: ggplot2, multcomp, RUnit
SystemRequirements: On a Unix-alike, one of the C functions
        mach_absolute_time (macOS), clock_gettime or gethrtime. If none
        of these is found, the obsolescent POSIX function gettimeofday
        will be tried.
ByteCompile: yes
Version: 1.5.0
NeedsCompilation: yes
Packaged: 2024-09-03 22:50:33 UTC; josh
Author: Olaf Mersmann [aut],
  Claudia Beleites [ctb],
  Rainer Hurling [ctb],
  Ari Friedman [ctb],
  Joshua M. Ulrich [cre]
Maintainer: Joshua M. Ulrich <josh.m.ulrich@gmail.com>
Repository: CRAN
Date/Publication: 2024-09-04 18:30:02 UTC

## r-cran-microbenchmark 1.4.10

=== debian/changelog ===
r-cran-microbenchmark (1.4.10-2) unstable; urgency=medium

  * Rebuilding for source-only upload now that package is in Debian

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Jul 2024 15:16:16 -0500

r-cran-microbenchmark (1.4.10-1) unstable; urgency=low

  * Initial Debian release 			(Closes: #1076632)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Jul 2024 07:36:54 -0500

=== debian/control ===
Source: r-cran-microbenchmark
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-microbenchmark
Vcs-Git: https://salsa.debian.org/edd/r-cran-microbenchmark.git
Homepage: https://cran.r-project.org/package=microbenchmark

Package: r-cran-microbenchmark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Suggests: r-cran-ggplot2, r-cran-multcomp, r-cran-runit
Description: GNU R package for Accurate Timeing Functions
 R package which provides infrastructure to accurately measure and compare
 the execution time of R expressions.

## r-cran-microbenchmark 1.5.0

=== debian/changelog ===
r-cran-microbenchmark (1.5.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Sep 2024 17:48:51 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-microbenchmark
 Vcs-Git: https://salsa.debian.org/edd/r-cran-microbenchmark.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-microbenchmark package
# Copyright 2003 - 2024 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/microbenchmark_([-\d\.]*)\.tar.gz
